Kerbal Space Program - Bug #4908

Vessel in VAB breaks when parking parts in midair
05/03/2015 01:44 PM - Jack

Status: Closed Start date: 05/03/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

| has several times issues with a vessel in the VAB, all with the following results:

- Staging diagram disappears

- Launch button not working

- Mass, Lenghts, partscounts, etc are all zero.

- Adding new parts is impossible

- Loading a new vessel, leaves the old vessel in the VAB (clipping through each other)

- Moving existing parts is possible, but its impossible to place or park them somewhere else (they stick to your mouse). Also not al
the attached parts move with it, leaving parts floating mid air not connected to the parent part (first part placed)

- All connection nodes are disappeared

- With the offset, root and rotation function active you could not select any part

| sadly could not recreate the issue in any reliable way, it happened to me quit random with several vessels. But it always happened
when | move and park a part somewhere in midair for later reuse. The problem seams to be related to the vessel itself because other
(saved) vessels works fine in the same session.

| tried several solutions:

- Saving and reloading the vessel >—N&Fesuh—vessel—sm4—brekeﬂ
Loading an other vessel >-Newy
Exiting VAB and reopen it >N&Fesuh—e%hewessetswems4me—hewevek
Restarting KSP >Ne—+esult-othervessels-works-fine-however
Rebuilding the exact same vessel -> Works fine, solves problem.

History

#1 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 01:51 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
